/* see LICENSE file for copyright and license details. */
#include <cobble/plugin.h>

/* the address the server will listen for connections on */
static char *COBBLE_SERVER_IP = "127.0.0.1";

/* the port the server will listen for connections on */
static uint16_t COBBLE_SERVER_PORT = 25565;

/* the message displayed to the client in the server-list */
static char *COBBLE_SERVER_MOTD = "cobble server";

/* whether or not to authenticate users with mojang. if set to false cracked clients can join */
static bool COBBLE_ONLINE_MODE = false;

/* the maximum number of players that can be connected to the server at once */
static uint16_t COBBLE_MAX_PLAYERS = 20;

/* the plugins array. add any plugins you want loaded to this array */
static struct plugin COBBLE_PLUGINS[] = { };
