/* see LICENSE file for copyright and license details. */
#ifndef COBBLE_WORLD_H
#define COBBLE_WORLD_H

#include <stdint.h>

enum dimension {
	DIMENSION_NETHER = -1,
	DIMENSION_OVERWORLD = 0,
	DIMENSION_END = 1,
};

struct world {
	uint64_t seed;
	enum dimension dimension;
};

/* maybe i could use an enum and reference array for this? */
static const char *LEVEL_TYPE_DEFAULT = "default";
static const char *LEVEL_TYPE_FLAT = "flat";
static const char *LEVEL_TYPE_LARGE_BIOMES = "largeBiomes";
static const char *LEVEL_TYPE_AMPLIFIED = "amplified";
static const char *LEVEL_TYPE_CUSTOMIZED = "customized";
static const char *LEVEL_TYPE_BUFFET = "buffet";
static const char *LEVEL_TYPE_DEFAULT_1_1 = "default_1_1";

bool world_load(char *path, struct world*);

#endif
